/*
 * Created on 03.06.2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 */
package networkconsole.ui;

import javax.xml.transform.sax.SAXSource;

/**
 * @author Eugene Prokopiev <eugene_prokopiev@mail.ru>
 * 
 */
public interface INetworkConsoleView {
	
	public void refresh();
	public SAXSource export();
	
	public void add();
	public boolean isAddEnabled();
	
	public void edit();
	public boolean isEditEnabled();
	
	public void remove();
	public boolean isRemoveEnabled();
	
	public void query();
	public boolean isQueryEnabled();
}
